getent(1)

NAVN
getent - hent poster fra Name Service Switch-bibliotekerne

SYNOPSIS
getent [tilvalg]... database nøgle...

BESKRIVELSE
Kommandoen getent viser poster fra databaser understøttet af Name Service Switch-bibliotekerne, der er konfigureret i /etc/nsswitch.conf. Hvis en eller flere nøgle-argumenter tilbydes, så vil kun posterne, der matcher de specificerede nøgler, blive vist. Ellers, hvis ingen nøgle er angivet, vil alle poster blive vist (med mindre at databasen ikke understøtter enumeration).

Databasen kan være enhver af dem understøttet af GNU C Library, vist nedenfor:

ahosts
    When no key is provided, use sethostent(3), gethostent(3), and endhostent(3) to enumerate the hosts database. This is identical to using hosts(5). When one or more key arguments are provided, pass each key in succession to getaddrinfo(3) with the address family AF_UNSPEC, enumerating each socket address structure returned.

ahostsv4
    Samme som ahosts, men brug adressefamilien AF_INET.

ahostsv6
    Samme som ahosts, men brug adressefamilien AF_INET6. Kaldet til getaddrinfo(3) inkluderer i dette tilfælde flaget AI_V4MAPPED.

aliases
    Når ingen nøgle er specificeret, brug setaliasent(3), getaliasent(3) og endaliasent(3) til at enummere aliases-databasen. Når en eller flere nøgle-argumenter er specificeret, så send hver nøgle i rækkefølge til getaliasbyname(3) og vis resultatet.

ethers
    Når en eller flere nøgle-argumenter specificeres, så send hver nøgle i rækkefølge til ether_aton(3) og ether_hostton(3) indtil et resultat er opnået, og vis resultatet. Enumeration er ikke understøttet på ethers, så en nøgle skal specificeres.

group
    Når ingen nøgle er specificeret, så brug setgrent(3), getgrent(3) og endgrent(3) til at enumerere group-databasen. Når en eller flere nøgle-argumenter er specificeret, så send hver numerisk nøgle til getgrgid(3) og hver ikkenumerisk nøgle til getgrnam(3) og vis resultatet.

gshadow
    Når ingen nøgle er specificeret, så brug setsgent(3), getsgent(3) endsgent(3) til at enumerere gshadow-databasen. Når ingen eller flere nøgle-argumenter er specificeret, så send hver nøgle i rækkefølge til getsgnam(3) og vis resultatet.

hosts
    Når ingen nøgle er specificeret, så brug sethostent(3), gethostent(3) og endhostent(3) til at enumerere hosts-databasen. Når en eller flere nøgle-argumenter er specificeret, så send hver nøgle til gethostbyaddr(3) eller gethostbyname2(3), afhængig af om et kald til inet_pton(3) indikerer at nøgle er en IPv6- eller IPv4-adresse eller ej, og vis resultatet.

initgroups
    Når en eller flere nøgle-argumenter tilbydes, sås send hver nøgle i rækkefølge til getgrouplist(3) og vis resultatet. Enumeration er ikke understøttet på initgroups, så en nøgle skal være specificeret.

netgroup
    Når en nøgle er specificeret, så send nøgle til setnetgrent(3) og brug af getnetgrent(3) viser den resulterende streng tredobbelt (værtsnavn, brugernavn, domænenavn). Alternativt kan tre nøgler specificeres, der fortolkes som værtsnavn, brugernavn og domænenavn for at matche et netgruppenavn via innetgr(3). Enumeration er ikke understøttet på netgroup, så enten en eller tre nøgler skal være specificeret.

networks
    Når ingen nøgle er specificeret så brug setnetent(3), getnetent(3) og endnetent(3) til at enumerere netværksdatabasen. Når en eller flere nøgle-argumenter er specificeret, så send hver numerisk nøgle til getnetbyaddr(3) og hver ikkenumerisk nøgle til getnetbyname(3) og vis resultatet.

passwd
    Når ingen nøgle er specificeret så brug setpwent(3), getpwent(3) og endpwent(3) til at enumerere passwd-databasen. Når en eller flere nøgle-argumenter er specificeret, så send hver numerisk nøgle til getpwuid(3) og hver ikkenumerisk nøgle til getpwnam(3) og vis resultatet.

protocols
    Når ingen nøgle er specificeret så brug setprotoent(3), getprotoent(3) og endprotoent(3) til at enumerere protokoldatabasen. Når en eller flere nøgle-argumenter er specificeret, så send hver numerisk nøgle til getprotobynumber(3) og hver ikkenumerisk nøgle til getprotobyname(3) og vis resultatet.

rpc Når ingen nøgle er specificeret så brug setrpcent(3), getrpcent(3) og endrpcent(3) til at enumerere rpc-databasen. Når en eller flere nøgle-argumenter er specificeret, så send hver numerisk nøgle til getrpcbynumber(3) og hver ikkenumerisk nøgle til getrpcbyname(3) og vis resultatet.

services
    Når ingen nøgle er specificeret så brug setservent(3), getservent(3) og endservent(3) til at enumerere tjenestedatabasen. Når en eller flere nøgle-argumenter er specificeret, så send hver numerisk nøgle til getservbynumber(3) og hver ikkenumerisk nøgle til getservbyname(3) og vis resultatet.

shadow
    Når ingen nøgle er specificeret så brug setspent(3), getspent(3) og endspent(3) til at enumerere shadow-databasen. Når en eller flere nøgle-argumenter er specificeret, så send hver numerisk nøgle i rækkefølge til getspnam(3) og vis resultatet.

TILVALG

--service service
-s service
    Overskriv alle databaser med den specificerede tjeneste. (Siden glibc 2.2.5.).

--service database:service
-s database:service
    Overskriv kun specificerede databaser med den specificerede tjeneste. Tilvalget kan bruges flere gange, men kun den sidste tjeneste for hver database vil blive brugt. (Siden glibc 2.4).

--no-idn
-i
    Deaktiverer IDN-kodning i opslag for ahosts/getaddrinfo(3). (Siden glibc-2.13).

--help
-?
    Vis en oversigt over brug og afslut.

--usage
    Vis en kort oversigt over brug og afslut.

--version
-V
    Vis versionsnummeret, licens og ansvarsfraskrivelse for garantien for getent.

AFSLUT-STATUS
En af de følgende afslut-værdier kan returneres af getent:

0   Kommando fuldført med succes.

1   Manglende argumenter, eller ukendt database.

2   En eller flere specificerede nøgler kunne ikke findes i databasen.

3   Enumeration er ikke understøttet i denne database.

SE OGSÅ
nsswitch.conf(5)

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.